### Class

# Spelling Provider

unstable since: 1

#### Description

    abstract class Spelling.Provider : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1

#### Ancestors

- GObject

#### Functions

###### spelling_provider_get_default

Gets the default spell provider.

unstable since: 1

#### Instance methods

###### spelling_provider_get_default_code

No description available.

unstable since: 1

###### spelling_provider_get_display_name

No description available.

unstable since: 1

###### spelling_provider_get_language

Gets an `SpellingLanguage` for the requested language, or `NULL` if the language is not supported.

unstable since: 1

###### spelling_provider_list_languages

Gets a list of the languages supported by the provider.

unstable since: 1

###### spelling_provider_supports_language

Checks of `language` is supported by the provider.

unstable since: 1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Spelling.Provider:display-name

No description available.

unstable since: 1

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct SpellingProviderClass {
      /* no available fields */
    }

No description available.